%ABOUT
%AQUILA is a MATLAB toolbox for the one- or twodimensional simulation of 
%the electronic properties of GaAs/AlGaAs semiconductor
%nanostructures. The program solves for a user-defined structure the
%one- or twodimensional Schroedinger- and Poisson-Equation in a
%self-consistend way.
%
%HISTORY
%In 1996 I started my PhD thesis at the Walter Schottky Institute (Technical
%University Munich, Germany) experimentally working on electrical transport
%in GaAs/AlGaAs quantum wires fabricated by Cleaved Edge Overgrowth. Soon I
%realized, that for designing and understanding my semiconductor samples
%I would need a 2D-Schroedinger-Poisson-Simulator. However, I could not find
%any suitable program, which fulfilled my needs and was free of charge. So
%I worked without such a program for nearly two years, but then the need for
%such a program grew and I decided, to write such a simulation program on my own.
%Since the topic of my thesis was experimental work on low-dimensional transport,
%I didn't want to invest too much time in a simulation program. So AQUILA is
%somewhere in the middle between a perfect user-friendly simulation program
%and a dirty quick hack to fulfill the needs of an experimentally working
%semiconductor physicist.
%After finishing my thesis I left university, but my former colleagues were
%still finding AQUILA very useful and kept using it for their semiconductor
%simulation needs. AQUILA even got distributed among other groups working in this field.
%Since I don't have time to do further improvements on AQUILA or to provide
%extensive support, and since the increasing distribution of the software
%made it difficult for me to control licensing and distribution, I finally decided,
%to release the software 'as is'.
%So everybody finding it useful may use, distribute and modify AQUILA as she/he likes.
%
%LICENSE FEES
%The AQUILA program is published under the terms of the BSD License
%and is completely free of charges and license fees.
%However, if you find it useful for your simulation needs and want to
%make a donation of any kind (money, food, drinks, postcards, citations, ...) to me,
%I will be very happy about it. Contact address see below.
%
%CONTACT INFORMATION
%Address: Dr. Martin Rother
%         Matheisweg 46
%         83624 Otterfing
%         Germany
%
%Phone:   +49-8024-9009582
%EMail:   martin.rother@web.de

%Copyright 1999 Martin Rother
%
%This file is part of AQUILA.
%
%AQUILA is free software; you can redistribute it and/or modify
%it under the terms of the BSD License as published by
%the Open Source Initiative according to the License Policy
%on MATLAB(R)CENTRAL.
%
%AQUILA is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%BSD License for more details.
